function test_fetch_series_with_filter_on_one_series()
filters_ = '[{"code": "interpolate", "parameters": {"frequency": "monthly", "method": "spline"}}]';
df = fetch_series('provider_code', "AMECO", 'dataset_code', "ZUTN", 'series_code', "DEU.1.0.0.0.ZUTN", 'dbnomics_filters', filters_);

idx = find(strcmp('provider_code',df(1,:)));
provider_codes = unique(df(2:end,idx));
assert(length(provider_codes)==1);
assert(provider_codes{1} == "AMECO");

idx = find(strcmp('dataset_code',df(1,:)));
dataset_codes = unique(df(2:end,idx));
assert(length(dataset_codes) == 1);
assert(dataset_codes{1} == "ZUTN");

idx = find(strcmp('series_code',df(1,:)));
series_codes = unique(df(2:end,idx));
assert(series_codes{1} == "DEU.1.0.0.0.ZUTN");

assert(any(find(strcmp('filtered',df(1,:)))));
idx_freq = find(strcmp('x_frequency',df(1,:)));
frequencies = unique(df(2:end, idx_freq));
assert(any(strcmp(frequencies, "monthly")));
assert(any(contains(series_codes, "_filtered")));
end